Cyberduck Mountain Duck CLI

#6048 closed defect (fixed)

Timestamps for folders is NOT preserved

Reported by: Cyberduck2011 Owned by: dkocher
Priority: highest Milestone: 4.1
Component: ftp Version: 4.0.2
Severity: critical Keywords: timestamp
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Hi, I have preserve modification dates for Timestamps for uploads and downloads selected in Prefs. When I upload files, timestamps for folders, not files, changes to Today. This breaks our updater as it relies on timestamps being preserved. This worked perfectly before. Has something changed in last update? Current is: Version 4.0.2 (8601)

Attachments (4)

Screen shot 2011-07-03 at 12.41.18.png (62.6 KB) - added by Cyberduck2011 on Jul 3, 2011 at 11:44:03 AM.
Screenshot of Prefs
cyberduck.png (15.2 KB) - added by Cyberduck2011 on Jul 4, 2011 at 7:55:30 AM.
cyberduck window
finder.png (7.9 KB) - added by Cyberduck2011 on Jul 4, 2011 at 7:55:57 AM.
Finder window
log.rtf (683 bytes) - added by Cyberduck2011 on Jul 4, 2011 at 7:56:10 AM.
log

Download all attachments as: .zip

Change History (9)

Changed on Jul 3, 2011 at 11:44:03 AM by Cyberduck2011

Screenshot of Prefs

comment:1 Changed on Jul 3, 2011 at 2:51:50 PM by dkocher

  • Milestone set to 4.1

That should work. Please try the latest snapshot build and post the transcript from the log drawer of the Transfers window.

Last edited on Jul 4, 2011 at 6:48:29 AM by dkocher (previous) (diff)

Changed on Jul 4, 2011 at 7:55:30 AM by Cyberduck2011

cyberduck window

Changed on Jul 4, 2011 at 7:55:57 AM by Cyberduck2011

Finder window

Changed on Jul 4, 2011 at 7:56:10 AM by Cyberduck2011

log

comment:2 Changed on Jul 4, 2011 at 7:59:00 AM by Cyberduck2011

Just tried again. Another day, another bootup. Still happening. Files retain timestamp, folders change to Today (see attached screenshot of Cyberduck and Finder windows and log).

Sorry, haven't got time to try snapshot.

BTW, really weird ticketing interface. Went to attach files, no way back to post update! Attachments link below also *should* be a button that you can see.

comment:3 Changed on Jul 4, 2011 at 8:01:39 AM by dkocher

I can replicate the issue. There will be a new snapshot build today with a fix.

comment:4 Changed on Jul 4, 2011 at 9:12:14 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r8881.

comment:5 Changed on Jul 4, 2011 at 12:47:47 PM by dkocher

A new snapshot build is available for testing.

Note: See TracTickets for help on using tickets.
swiss made software